
function InitGlobalVariables()
	done = 0
	stage = 0
	cur_timer = 0
	wait_timer = 10
	stage_init = "true"
end

function OnEnter()

	InitGlobalVariables()
	LG_GameController("LoadLevel","data\\levels\\test2.txt")

	LG_GameUI("ScreenFadeIn",0,0,0, 1)
LG_Script("Flag")

LG_GameController("AddSoldier","Flame Thrower",1,-101.46,77.47,80.14)
LG_GameController("AddSoldier","Flame Thrower",1,-101.46,77.47,80.14)
		

end

function DoStop()
	
	done = 0
LG_Script("Flag")
end

function OnExit()
	

end


OnEnter()

---------------------- Cutscene Initial -----------------------------


while (done < 1) do

	local time = LG_GameController("GetTime")


	--LG_Debug("SetWindowText",10,camx,camy,camz,time,ret,LG_Misc("GetWait"),stage,tarx,tary,tarz)

	LG_Script("Yield")

end

LG_Script("Stop")

OnExit()

